Subject: Re: bug#44540: 27.1.50; Regression when evaluating signalling forms in *scratch*

From: Philipp Stephani <[email-masked]>
Date: Tue, 10 Nov 2020 10:27:53 +0100

Am Di., 10. Nov. 2020 um 00:18 Uhr schrieb Basil L. Contovounesios
<[email-masked]>:
>
> Philipp Stephani <[email-masked]> writes:
>
> > Am Mo., 9. Nov. 2020 um 21:51 Uhr schrieb Basil L. Contovounesios
> > <[email-masked]>:
> >>
> >> Eli Zaretskii <[email-masked]> writes:
> >>
> >> >> From: Philipp Stephani <[email-masked]>
> >> >> Date: Mon, 09 Nov 2020 20:54:14 +0100
> >> >>
> >> >>
> >> >> Select the *scratch* buffer and enter
> >> >>
> >> >> (car 123)
> >> >>
> >> >> Then hit C-j.  In Emacs 26, this will correctly pop up the debugger.  In
> >> >> the Emacs 27 release branch, however, you'll get an error
> >> >>
> >> >> Symbol’s function definition is void: cl-print-to-string-with-limit
> >> >
> >> > I can't reproduce this: I get the debugger's backtrace, as expected.
> >>
> >> Same here.
> >
> > What happens if you check out the same repository version,
> > f5d7fb3a2dee3f9ae49151e3d01483aad7fb734b?
>
> Same thing, (wrong-type-argument listp 123).
>
> [ Sorry, I mistakenly included the report-emacs-bug output from a
>   different, stale build in my last message. ]
>
> Have you tried 'make bootstrap'?

Yea, that fixed it. No idea what was wrong. Thanks!